<template>
  <div class="content--left">
    <nav class="sidebar">
      <ul
        id="myTab"
        role="tablist"
        class="nav nav-tabs flex-column border-bottom-0"
      >
        <h3 class="text-center font-weight-bold text-white my-4">
          Tartil.me
        </h3>
        <li
          v-for="item in menu"
          :key="item.id"
          class="nav-item"
        >
          <a
            v-if="item.title !== 'Playlist'"
            class="nav-link py-3"
            @click="$router.push(item.to)"
          >
            <b-icon-house-door class="mr-1" />
            {{ item.title }}
          </a>
          <a v-else class="nav-link d-flex justify-content-between py-3" @click="handleCollapse">
            <div>
              <b-icon-house-door class="mr-1" />
              {{ item.title }}
            </div>
            <b-img src="images/icons/menu/ic-add.png" width="18" class="mr-1" />
          </a>
        </li>
        <li v-if="isCollapse" class="nav-item">
          <hr class="bg-white">
          <p
            v-for="item in 3"
            :key="item"
            class="small pl-4 text-light"
            @click="$router.push(`/playlist/${item}`)"
          >
            Playlist {{ item }}
          </p>
        </li>
      </ul>
    </nav>
  </div>
</template>

<script>
import { mapGetters } from 'vuex'

export default {
  data: () => ({
    isCollapse: false
  }),

  computed: {
    ...mapGetters(['menu'])
  },

  methods: {
    handleCollapse () {
      this.isCollapse = !this.isCollapse
    }
  }
}
</script>

<style lang="scss" scoped>
 .content--left {
    background: #169E53;
    border-radius: 8px;
    height: 100vh;

    .sidebar {
      padding: 0 0.5rem;

      .nav-link {
        background: rgba(255, 255, 255, 0.1);
        margin: 4px 0;
        border-radius: 10px;
        color: white;
        font-size: 13px;
        text-decoration: none;
      }
    }
  }
</style>
